=== avidemux/common/CMakeLists.txt ===
ADD_SUBDIRECTORY(ADM_audioCodec)
ADD_SUBDIRECTORY(ADM_audioFilter)
#ADD_SUBDIRECTORY(ADM_audioFilter_old)
#ADD_SUBDIRECTORY(ADM_codecs)
ADD_SUBDIRECTORY(ADM_commonUI)
ADD_SUBDIRECTORY(ADM_editor)
#ADD_SUBDIRECTORY(ADM_filter)
#ADD_SUBDIRECTORY(ADM_infoExtractor)
ADD_SUBDIRECTORY(ADM_libraries)
#ADD_SUBDIRECTORY(ADM_mpegIndexer)
ADD_SUBDIRECTORY(ADM_muxerGate)
#ADD_SUBDIRECTORY(ADM_ocr)
ADD_SUBDIRECTORY(ADM_osSupport)
#ADD_SUBDIRECTORY(ADM_plugin)
ADD_SUBDIRECTORY(ADM_render)
#ADD_SUBDIRECTORY(ADM_requant)
#ADD_SUBDIRECTORY(ADM_script)
ADD_SUBDIRECTORY(ADM_script2)
ADD_SUBDIRECTORY(ADM_toolkit)
#ADD_SUBDIRECTORY(ADM_video)
#ADD_SUBDIRECTORY(ADM_videoFilter)
ADD_SUBDIRECTORY(ADM_videoEncoder)
ADD_SUBDIRECTORY(ADM_videoFilter2)
ADD_SUBDIRECTORY(ADM_videoCodec)
