=== avidemux_core/ADM_coreVideoCodec/CMakeLists.txt ===
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(ADM_hwAccel)
