=== avidemux_plugins/ADM_autoScrips/CMakeLists.txt ===
SET(AUTOSCRIPT_DIR "${AVIDEMUX_LIB_DIR}/${ADM_PLUGIN_DIR}/autoScripts/")

FILE(GLOB py_files ${CMAKE_CURRENT_SOURCE_DIR}/*.py)
FILE(GLOB py_libFiles ${CMAKE_CURRENT_SOURCE_DIR}/lib/*.py)
INSTALL(FILES ${py_files} DESTINATION "${AUTOSCRIPT_DIR}" COMPONENT plugins)
INSTALL(FILES ${py_libFiles} DESTINATION "${AUTOSCRIPT_DIR}/lib" COMPONENT plugins)
