=== avidemux_plugins/ADM_videoEncoder/CMakeLists.txt ===
IF(DO_COMMON)
  ADD_SUBDIRECTORY(yv12)
 #ADD_SUBDIRECTORY(png)
  ADD_SUBDIRECTORY(jpeg)
  ADD_SUBDIRECTORY(huff)
  ADD_SUBDIRECTORY(ffv1)
  ADD_SUBDIRECTORY(ffUtVideo)
  IF(NOT MSVC)
      ADD_SUBDIRECTORY(ffMpeg4)
  ENDIF(NOT MSVC)
  ADD_SUBDIRECTORY(ffMpeg2)
#ADD_SUBDIRECTORY(ffMsMpeg4)
  ADD_SUBDIRECTORY(ffFlv1)
  ADD_SUBDIRECTORY(ffDv)
  ADD_SUBDIRECTORY(null)
  ADD_SUBDIRECTORY(xvid4)
  ADD_SUBDIRECTORY(vp9)
  IF(USE_NVENC)
        ADD_SUBDIRECTORY(ffNvEnc)
#        ADD_SUBDIRECTORY(nvEnc)
  ENDIF(USE_NVENC)
  IF(USE_LIBVA)
        ADD_SUBDIRECTORY(directVaEnc)
        ADD_SUBDIRECTORY(ffVaH264)
        ADD_SUBDIRECTORY(ffVaHEVC)
  ENDIF(USE_LIBVA)
  IF(USE_VIDEOTOOLBOX)
        ADD_SUBDIRECTORY(ffVTEnc)
  ENDIF(USE_VIDEOTOOLBOX)
ENDIF(DO_COMMON)
# That one has several UIs...
ADD_SUBDIRECTORY(x264)
ADD_SUBDIRECTORY(x265)
