=== avidemux/qt4/ADM_UIs/CMakeLists.txt ===
ADD_SUBDIRECTORY(src)
